<div class="front_page_section front_page_section_contacts<?php
	$ecoblue_scheme = ecoblue_get_theme_option( 'front_page_contacts_scheme' );
	if ( ! empty( $ecoblue_scheme ) && ! ecoblue_is_inherit( $ecoblue_scheme ) ) {
		echo ' scheme_' . esc_attr( $ecoblue_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( ecoblue_get_theme_option( 'front_page_contacts_paddings' ) );
	if ( ecoblue_get_theme_option( 'front_page_contacts_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$ecoblue_css      = '';
		$ecoblue_bg_image = ecoblue_get_theme_option( 'front_page_contacts_bg_image' );
		if ( ! empty( $ecoblue_bg_image ) ) {
			$ecoblue_css .= 'background-image: url(' . esc_url( ecoblue_get_attachment_url( $ecoblue_bg_image ) ) . ');';
		}
		if ( ! empty( $ecoblue_css ) ) {
			echo ' style="' . esc_attr( $ecoblue_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$ecoblue_anchor_icon = ecoblue_get_theme_option( 'front_page_contacts_anchor_icon' );
	$ecoblue_anchor_text = ecoblue_get_theme_option( 'front_page_contacts_anchor_text' );
if ( ( ! empty( $ecoblue_anchor_icon ) || ! empty( $ecoblue_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_contacts"'
									. ( ! empty( $ecoblue_anchor_icon ) ? ' icon="' . esc_attr( $ecoblue_anchor_icon ) . '"' : '' )
									. ( ! empty( $ecoblue_anchor_text ) ? ' title="' . esc_attr( $ecoblue_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_contacts_inner
	<?php
	if ( ecoblue_get_theme_option( 'front_page_contacts_fullheight' ) ) {
		echo ' ecoblue-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$ecoblue_css      = '';
			$ecoblue_bg_mask  = ecoblue_get_theme_option( 'front_page_contacts_bg_mask' );
			$ecoblue_bg_color_type = ecoblue_get_theme_option( 'front_page_contacts_bg_color_type' );
			if ( 'custom' == $ecoblue_bg_color_type ) {
				$ecoblue_bg_color = ecoblue_get_theme_option( 'front_page_contacts_bg_color' );
			} elseif ( 'scheme_bg_color' == $ecoblue_bg_color_type ) {
				$ecoblue_bg_color = ecoblue_get_scheme_color( 'bg_color', $ecoblue_scheme );
			} else {
				$ecoblue_bg_color = '';
			}
			if ( ! empty( $ecoblue_bg_color ) && $ecoblue_bg_mask > 0 ) {
				$ecoblue_css .= 'background-color: ' . esc_attr(
					1 == $ecoblue_bg_mask ? $ecoblue_bg_color : ecoblue_hex2rgba( $ecoblue_bg_color, $ecoblue_bg_mask )
				) . ';';
			}
			if ( ! empty( $ecoblue_css ) ) {
				echo ' style="' . esc_attr( $ecoblue_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_contacts_content_wrap content_wrap">
			<?php

			// Title and description
			$ecoblue_caption     = ecoblue_get_theme_option( 'front_page_contacts_caption' );
			$ecoblue_description = ecoblue_get_theme_option( 'front_page_contacts_description' );
			if ( ! empty( $ecoblue_caption ) || ! empty( $ecoblue_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				// Caption
				if ( ! empty( $ecoblue_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_contacts_caption front_page_block_<?php echo ! empty( $ecoblue_caption ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( $ecoblue_caption, 'ecoblue_kses_content' );
					?>
					</h2>
					<?php
				}

				// Description
				if ( ! empty( $ecoblue_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_contacts_description front_page_block_<?php echo ! empty( $ecoblue_description ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( wpautop( $ecoblue_description ), 'ecoblue_kses_content' );
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$ecoblue_content = ecoblue_get_theme_option( 'front_page_contacts_content' );
			$ecoblue_layout  = ecoblue_get_theme_option( 'front_page_contacts_layout' );
			if ( 'columns' == $ecoblue_layout && ( ! empty( $ecoblue_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_columns front_page_section_contacts_columns columns_wrap">
					<div class="column-1_3">
				<?php
			}

			if ( ( ! empty( $ecoblue_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_content front_page_section_contacts_content front_page_block_<?php echo ! empty( $ecoblue_content ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $ecoblue_content, 'ecoblue_kses_content' );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $ecoblue_layout && ( ! empty( $ecoblue_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div><div class="column-2_3">
				<?php
			}

			// Shortcode output
			$ecoblue_sc = ecoblue_get_theme_option( 'front_page_contacts_shortcode' );
			if ( ! empty( $ecoblue_sc ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_output front_page_section_contacts_output front_page_block_<?php echo ! empty( $ecoblue_sc ) ? 'filled' : 'empty'; ?>">
					<?php
					ecoblue_show_layout( do_shortcode( $ecoblue_sc ) );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $ecoblue_layout && ( ! empty( $ecoblue_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>

		</div>
	</div>
</div>
