<?php
// Add plugin-specific colors and fonts to the custom CSS
if ( ! function_exists( 'ecoblue_cf7_get_css' ) ) {
	add_filter( 'ecoblue_filter_get_css', 'ecoblue_cf7_get_css', 10, 2 );
	function ecoblue_cf7_get_css( $css, $args ) {
		if ( isset( $css['fonts'] ) && isset( $args['fonts'] ) ) {
			$fonts         = $args['fonts'];
			$css['fonts'] .= <<<CSS

		.trx_addons_bg_text.trx_addons_marquee_wrap .trx_addons_marquee_element .trx_addons_bg_text_char > div {
			{$fonts['h2_font-family']}
		}
		.sc_layouts_cart_panel .sc_layouts_cart_items_short {
			{$fonts['p_font-family']}
		}

		
			
CSS;
		}

		return $css;
	}
}
