<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package ECOBLUE
 * @since ECOBLUE 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$ecoblue_copyright_scheme = ecoblue_get_theme_option( 'copyright_scheme' );
if ( ! empty( $ecoblue_copyright_scheme ) && ! ecoblue_is_inherit( $ecoblue_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $ecoblue_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$ecoblue_copyright = ecoblue_get_theme_option( 'copyright' );
			if ( ! empty( $ecoblue_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$ecoblue_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $ecoblue_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$ecoblue_copyright = ecoblue_prepare_macros( $ecoblue_copyright );
				// Display copyright
				echo wp_kses( nl2br( $ecoblue_copyright ), 'ecoblue_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
