<?php
/**
 * The template to display default site footer
 *
 * @package ECOBLUE
 * @since ECOBLUE 1.0.10
 */

$ecoblue_footer_id = ecoblue_get_custom_footer_id();
$ecoblue_footer_meta = get_post_meta( $ecoblue_footer_id, 'trx_addons_options', true );
if ( ! empty( $ecoblue_footer_meta['margin'] ) ) {
	ecoblue_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( ecoblue_prepare_css_value( $ecoblue_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $ecoblue_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $ecoblue_footer_id ) ) ); ?>
						<?php
						$ecoblue_footer_scheme = ecoblue_get_theme_option( 'footer_scheme' );
						if ( ! empty( $ecoblue_footer_scheme ) && ! ecoblue_is_inherit( $ecoblue_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $ecoblue_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'ecoblue_action_show_layout', $ecoblue_footer_id );
	?>
</footer><!-- /.footer_wrap -->
