<?php
/**
 * The template to display the background video in the header
 *
 * @package ECOBLUE
 * @since ECOBLUE 1.0.14
 */
$ecoblue_header_video = ecoblue_get_header_video();
$ecoblue_embed_video  = '';
if ( ! empty( $ecoblue_header_video ) && ! ecoblue_is_from_uploads( $ecoblue_header_video ) ) {
	if ( ecoblue_is_youtube_url( $ecoblue_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $ecoblue_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php ecoblue_show_layout( ecoblue_get_embed_video( $ecoblue_header_video ) ); ?></div>
		<?php
	}
}
