<div class="front_page_section front_page_section_blog<?php
	$ecoblue_scheme = ecoblue_get_theme_option( 'front_page_blog_scheme' );
	if ( ! empty( $ecoblue_scheme ) && ! ecoblue_is_inherit( $ecoblue_scheme ) ) {
		echo ' scheme_' . esc_attr( $ecoblue_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( ecoblue_get_theme_option( 'front_page_blog_paddings' ) );
	if ( ecoblue_get_theme_option( 'front_page_blog_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$ecoblue_css      = '';
		$ecoblue_bg_image = ecoblue_get_theme_option( 'front_page_blog_bg_image' );
		if ( ! empty( $ecoblue_bg_image ) ) {
			$ecoblue_css .= 'background-image: url(' . esc_url( ecoblue_get_attachment_url( $ecoblue_bg_image ) ) . ');';
		}
		if ( ! empty( $ecoblue_css ) ) {
			echo ' style="' . esc_attr( $ecoblue_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$ecoblue_anchor_icon = ecoblue_get_theme_option( 'front_page_blog_anchor_icon' );
	$ecoblue_anchor_text = ecoblue_get_theme_option( 'front_page_blog_anchor_text' );
if ( ( ! empty( $ecoblue_anchor_icon ) || ! empty( $ecoblue_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_blog"'
									. ( ! empty( $ecoblue_anchor_icon ) ? ' icon="' . esc_attr( $ecoblue_anchor_icon ) . '"' : '' )
									. ( ! empty( $ecoblue_anchor_text ) ? ' title="' . esc_attr( $ecoblue_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_blog_inner
	<?php
	if ( ecoblue_get_theme_option( 'front_page_blog_fullheight' ) ) {
		echo ' ecoblue-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$ecoblue_css      = '';
			$ecoblue_bg_mask  = ecoblue_get_theme_option( 'front_page_blog_bg_mask' );
			$ecoblue_bg_color_type = ecoblue_get_theme_option( 'front_page_blog_bg_color_type' );
			if ( 'custom' == $ecoblue_bg_color_type ) {
				$ecoblue_bg_color = ecoblue_get_theme_option( 'front_page_blog_bg_color' );
			} elseif ( 'scheme_bg_color' == $ecoblue_bg_color_type ) {
				$ecoblue_bg_color = ecoblue_get_scheme_color( 'bg_color', $ecoblue_scheme );
			} else {
				$ecoblue_bg_color = '';
			}
			if ( ! empty( $ecoblue_bg_color ) && $ecoblue_bg_mask > 0 ) {
				$ecoblue_css .= 'background-color: ' . esc_attr(
					1 == $ecoblue_bg_mask ? $ecoblue_bg_color : ecoblue_hex2rgba( $ecoblue_bg_color, $ecoblue_bg_mask )
				) . ';';
			}
			if ( ! empty( $ecoblue_css ) ) {
				echo ' style="' . esc_attr( $ecoblue_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_blog_content_wrap content_wrap">
			<?php
			// Caption
			$ecoblue_caption = ecoblue_get_theme_option( 'front_page_blog_caption' );
			if ( ! empty( $ecoblue_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_blog_caption front_page_block_<?php echo ! empty( $ecoblue_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $ecoblue_caption, 'ecoblue_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$ecoblue_description = ecoblue_get_theme_option( 'front_page_blog_description' );
			if ( ! empty( $ecoblue_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_blog_description front_page_block_<?php echo ! empty( $ecoblue_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $ecoblue_description ), 'ecoblue_kses_content' ); ?></div>
				<?php
			}

			// Content (widgets)
			?>
			<div class="front_page_section_output front_page_section_blog_output">
				<?php
				if ( is_active_sidebar( 'front_page_blog_widgets' ) ) {
					dynamic_sidebar( 'front_page_blog_widgets' );
				} elseif ( current_user_can( 'edit_theme_options' ) ) {
					if ( ! ecoblue_exists_trx_addons() ) {
						ecoblue_customizer_need_trx_addons_message();
					} else {
						ecoblue_customizer_need_widgets_message( 'front_page_blog_caption', 'ThemeREX Addons - Blogger' );
					}
				}
				?>
			</div>
		</div>
	</div>
</div>
